• ในการจะใช้งาน Mambo บน Windows XP นั้น จะต้องทำเครื่องที่เราใช้งานอยู่ให้เป็นเครื่อง server ในที่นี้ใช้โปรแกรม Appserv
  • โปรแกรม Appserv นั้นได้รวมโปรแกรมพื้นฐานที่จำเป็นต้องใช้งานของ server ไว้ด้วยกันแล้ว จึงมีความสะดวกในการลง เพราะลงแค่ Appserv ตัวเดียว
  • หากเราลง server ตัวอื่น เราก็จะต้องหา database มาลงด้วย
  • Appserv ประกอบไปด้วย Apache, My SQl และ php ซึ่งมี phpMyAdmin ด้วย
  • Mambo ที่ใช้ได้ในที่นี้ เป็น MamboLaiThaiV4.5.2.3 ดาวน์โหลดได้จากที่นี่ Click 
    หรือสามารถดาวน์โหลดได้จากภายในมอ.ที่ ftp://ftp.psu.ac.th/pub/mambo 
  • ได้ทำการปรับแต่งส่วนประกอบต่างๆของ Mambo เช่น Modules, Content, Component, Content

ขั้นตอนการติดตั้ง Mambo

  • ดาวน์โหลดและทำการติดตั้ง Appserv (ควรจำชื่อและรหัสที่ตั้งไว้ให้ดีด้วย)
  • ทดสอบว่าการติดตั้ง Appserv สำเร็จหรือไม่โดยการพิมพ์ http://localhost ถ้าขึ้นข้อความต้อนรับของ Appserv บอกเวอร์ชั่นที่ใช้อยู่ ถือว่าติดตั้งได้สำเร็จ ถ้าหากไม่ขึ้นแสดงว่ามีข้อผิดพลาด ควรเช็คดูด้วยว่า database สามารถใช้งานได้หรือไม่ (คลิกตรง phpMyAdmin)
    ถ้าหากไม่ได้ก็แสดงว่ามีปัญหาในเรื่องของ database 
  • ดาวน์โหลด Mambo แล้วทำการ unzip ออกมา หลังจากนั้นนำโฟลเดอร์ที่ได้ไปไว้ในไดรว์ที่ทำการติดตั้ง Appserv ในที่นี้คือไดรว์ C (ไดรว์ที่ set เป็น default ตั้งแต่แรก) โดยไปไว้ที่ path C:AppServwww แล้วตั้งชื่อโฟลเดอร์
  • ทดสอบว่าสามารถใช้งานได้หรือไม่โดยพิมพ์ http://localhost/ชื่อ folder ของ mambo ที่ได้จากการ unzip เช่น ตั้งชื่อว่า mambo ก็จะพิมพ์เป็น  http://localhost/mambo
  • ถ้าหากเข้าได้ก็จะสามารถทำงานไปเป็น step ซึ่งเมื่อทำครบ step ที่กำหนดก็จะสามารถใช้งาน Mambo ได้
  • สามารถดูขั้นตอนการติดตั้ง mambo บน Windows XP ได้ที่นี่ Click
  • สามารถดาวน์โหลดเอกสารประกอบการใช้งาน Mambo ได้ที่นี่ Click 

ปัญหา

  • ในตอนแรกเมื่อติดตั้ง Appserv แล้วไม่ได้ทดสอบว่าสามารถเข้า phpMyAdmin และ SQL ได้หรือไม่ แล้วไปทำการติดตั้ง Mambo เลย เมื่อทำงานใน step ที่2 จึงเกิด error ไม่ผ่าน step ที่ 2 (เป็นขั้นตอนของการกรอก ชื่อ และรหัส ของ SQL)
  • แก้ไขปัญหาโดยทดลองดาวน์โหลด appserv-win32-2.4.0 มาใช้  สามารถทำการติดตั้งผ่านไปได้ด้วยดี
  • สรุปผลปัญหา ในตอนแรกที่เกิด error คาดว่าน่าจะเป็นที่เวอร์ชั่นของ Appserv ที่ดาวน์โหลดมาในตอนแรก เป็นเวอร์ชั่นใหม่ มีปัญหาในเรื่องของ SQL หรือไม่ก็เป็นที่ไฟล์ที่ดาวน์โหลดมาไม่สมบูรณ์ เมื่อเปลี่ยนเวอร์ชั่นเป็นเวอร์ชั่นที่เก่ากว่า ก็สามารถใช้งานได้อย่างปกติ

แนะนำ Web เกี่ยวกับ Mambo